# TdApi.AddLocalMessage (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: AddLocalMessage

Package it.tdlight.jni

# Class TdApi.AddLocalMessage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.AddLocalMessage

Enclosing class:
  TdApi

    public static class TdApi.AddLocalMessage
    extends TdApi.Function

Adds a local message to a chat. The message is persistent across application restarts only if the message database is used. Returns the added message.

Returns `Message`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | Target chat.
`static int` | `CONSTRUCTOR` |
`boolean` | `disableNotification` | Pass true to disable notification for the message.
`TdApi.InputMessageContent` | `inputMessageContent` | The content of the message to be added.
`long` | `replyToMessageId` | Identifier of the message to reply to or 0.
`TdApi.MessageSender` | `sender` | The sender of the message.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AddLocalMessage()` | Adds a local message to a chat.
`AddLocalMessage​(long chatId, TdApi.MessageSender sender, long replyToMessageId, boolean disableNotification, TdApi.InputMessageContent inputMessageContent)` | Adds a local message to a chat.
`AddLocalMessage​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Target chat.

### sender

public TdApi.MessageSender sender
The sender of the message.

### replyToMessageId

public long replyToMessageId
Identifier of the message to reply to or 0.

### disableNotification

public boolean disableNotification
Pass true to disable notification for the message.

### inputMessageContent

public TdApi.InputMessageContent inputMessageContent
The content of the message to be added.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### AddLocalMessage

public AddLocalMessage()
Adds a local message to a chat. The message is persistent across application restarts only if the message database is used. Returns the added message.

Returns `Message`

### AddLocalMessage

public AddLocalMessage​(long chatId, TdApi.MessageSender sender, long replyToMessageId, boolean disableNotification, TdApi.InputMessageContent inputMessageContent)
Adds a local message to a chat. The message is persistent across application restarts only if the message database is used. Returns the added message.

Returns `Message`

Parameters:
  `chatId` - long Target chat.
  `sender` - MessageSender The sender of the message.
  `replyToMessageId` - long Identifier of the message to reply to or 0.
  `disableNotification` - boolean Pass true to disable notification for the message.
  `inputMessageContent` - InputMessageContent The content of the message to be added.

### AddLocalMessage

public AddLocalMessage​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`